From: "Jan Beulich" <jbeulich@novell.com>
To: xen-devel@lists.xensource.com
Cc: Christoph Egger <Christoph.Egger@amd.com>
Subject: [PATCH] yet another package check (take 2)
Date: Thu, 14 Dec 2006 16:23:32 +0000 [thread overview]
Message-ID: <45818894.76E4.0078.0@novell.com> (raw)
As before, the file added to tools/check/ must be given exec permission.
Now using the approach suggested by Christoph Egger <Christoph.Egger@amd.com>.
Signed-off-by: Jan Beulich <jbeulich@novell.com>
Index: 2006-12-11/tools/Makefile
===================================================================
--- 2006-12-11.orig/tools/Makefile 2006-12-04 08:49:57.000000000 +0100
+++ 2006-12-11/tools/Makefile 2006-12-14 14:25:02.000000000 +0100
@@ -36,7 +36,7 @@ all: check
$(MAKE) ioemu
.PHONY: install
-install: check
+install: check_install
@set -e; for subdir in $(SUBDIRS-y); do \
$(MAKE) -C $$subdir $@; \
done
@@ -58,6 +58,10 @@ distclean: clean
check:
$(MAKE) -C check
+.PHONY: check_install
+check_install: check
+ $(MAKE) -C check install
+
.PHONY: check_clean
check_clean:
$(MAKE) -C check clean
Index: 2006-12-11/tools/check/check_python_xml
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
+++ 2006-12-11/tools/check/check_python_xml 2006-12-14 17:04:04.000000000 +0100
@@ -0,0 +1,19 @@
+#!/bin/sh
+# CHECK-INSTALL
+
+RC=0
+
+python -c '
+import os.path, sys
+for p in sys.path:
+ if os.path.exists(p + "/xml/dom/minidom.py"):
+ sys.exit(0)
+sys.exit(1)
+' || RC=1
+
+if test ${RC} -ne 0; then
+ echo
+ echo " *** Check for python development environment FAILED"
+fi
+
+exit ${RC}
next reply other threads:[~2006-12-14 16:23 UTC|newest]
Thread overview: 10+ messages / expand[flat|nested] mbox.gz Atom feed top
2006-12-14 16:23 Jan Beulich [this message]
2006-12-14 16:47 ` [PATCH] yet another package check (take 2) Ewan Mellor
2006-12-14 16:59 ` Jan Beulich
2006-12-14 17:04 ` Ewan Mellor
2006-12-14 17:11 ` Ewan Mellor
2006-12-15 8:22 ` Jan Beulich
2006-12-15 9:33 ` Ewan Mellor
2006-12-15 9:49 ` Keir Fraser
2006-12-15 9:50 ` Jan Beulich
2006-12-15 9:54 ` Keir Fraser
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=45818894.76E4.0078.0@novell.com \
--to=jbeulich@novell.com \
--cc=Christoph.Egger@amd.com \
--cc=xen-devel@lists.xensource.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.